For the complete documentation index, see llms.txt. This page is also available as Markdown.

Search Contact

Search for a contact

post
/contacts/search

Searches for a contact in the HealthSherpa system created by the agent matching the provided agent_email. You can search by medicare number alone, OR by using a combination of name (first name or last name) with at least one of: date of birth, email, or phone.

Authorizations
X-API-KeystringRequired

API key for authentication

Body
agent_emailstring · emailRequired

Email of the agent performing the search

Responses
200

Contact found successfully

application/json
post/contacts/search
POST /v1/contacts/search HTTP/1.1
Host: api.medicare.healthsherpa.com
X-API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 78

{
  "agent_email": "agent@example.com",
  "params": {
    "medicare_number": "1EG4TE5MK73"
  }
}
{
  "data": {
    "contact": {
      "id": "c7716192-7625-4351-a689-3df3b65ba0e2",
      "slug": "some-slug",
      "external_id": "CRM123456",
      "first_name": "Alex",
      "last_name": "Lee",
      "address_1": "1215 19th St",
      "address_2": "Suite 100",
      "birth_date": "1955-01-15",
      "city": "Sacramento",
      "email": "alex.lee@example.com",
      "extra_help": false,
      "medicaid_eligible": false,
      "medicaid_number": "MED123456",
      "medicare_number": "1EG4TE5MK73",
      "medicare_part_a_effective_date": "2024-01-01",
      "medicare_part_b_effective_date": "2024-01-01",
      "phone": "8557722663",
      "sex": "male",
      "state": "CA",
      "type": "client",
      "zip": "95811"
    },
    "redirect_url": "https://medicare.healthsherpa.com/agents/alex-lee/plans/c7716192-7625-4351-a689-3df3b65ba0e2?search=%7B%3Azip%3D%3E%2298134%22%7D"
  }
}

Last updated